Software and system requirements for PC users

Was this article helpful?
17 out of 17 found this helpful
Follow

Browser Compatibility

We design, test, and support our web based software to run on the most current non-mobile versions of Internet Explorer, Safari, Firefox, and Chrome. However, some browsers have limitations from time to time. In particular, Chrome does not presently perform as well with installed printers as Internet Explorer, Firefox, and Safari.

  • For PC/Windows users we recommend using the latest version of Internet Explorer or Mozilla Firefox available for Microsoft's operating systems. In regards to operating systems, you must be using Windows 7 or newer with the latest Windows Updates applied. Note: Microsoft Edge is not currently fully supported.
    • For iPhone/iPod Touch users, please use the latest Safari browser available for the iPhone with the factory default settings. All MINDBODY features work on your browser except for the Staff Dashboard (which uses Adobe Flash, not yet supported by the iPhone/iPod Touch).
    • We currently do not support accessing MINDBODY from browsers on the Android operating system.

Online Scheduling & Booking:

  • Can be accessed from any machine with access to the internet (PC or Mac).
  • Highspeed (Broadband) internet is recommended for Business Mode operations.
  • Cookies must be enabled. 

Receipt Printing:

  • For the best output, please run your system using the latest version of Internet Explorer.
  • If you have trouble printing receipts in Firefox, then use this article to help adjust the printer margins.

Java Requirement

Please note that the MINDBODY system requires the use of Java to function properly. A missing or outdated Java installation will affect the Retail Point of Sale screen, the Appointments screen, and receipt printing. If you are experiencing issues with these parts of your site, please ensure you are running the most recent Java installation by visiting http://www.java.com/verify.

Google Chromebooks and many tablets do not support the use of Java. For this reason, we advise against using these devices as the sole computer in your business.


Hardware Requirements

  • Minimum: Pentium 4 or equivalent  1.6–2.4 GHz Processor, 2 GB RAM.
  • Recommended: Pentium Dual-Core or equivalent 2.2–2.7 GHz, 2GB RAM.

 










0 Comments
Powered by Zendesk